## node-dom4 2.1.6+dfsg2+~2.0.2

=== Makefile ===
.PHONY: build var node amd size hint clean test web preview pages dependencies

# repository name
REPO = dom4

# make var files
VAR = src/$(REPO).js \
			src/event-target.js

# make node files
NODE = $(VAR)

# make amd files
AMD = $(VAR)

# README constant


# default build task
build:
	make var
# make node
#	make amd
#	make test
	make hint
	make size

# build generic version
var:
	mkdir -p build
	cat template/var.before $(VAR) template/var.after >build/no-copy.$(REPO).max.js
	node node_modules/uglify-js/bin/uglifyjs --verbose --support-ie8 build/no-copy.$(REPO).max.js -m -c >build/no-copy.$(REPO).js
	cat template/license.before LICENSE.txt template/license.after build/no-copy.$(REPO).max.js >build/$(REPO).max.js
	cat template/copyright build/no-copy.$(REPO).js >build/$(REPO).js
	rm build/no-copy.$(REPO).max.js
	rm build/no-copy.$(REPO).js

# build node.js version
node:
	mkdir -p build
	cat template/license.before LICENSE.txt template/license.after template/node.before $(NODE) template/node.after >build/$(REPO).node.js

# build AMD version
amd:
	mkdir -p build
	cat template/amd.before $(AMD) template/amd.after >build/no-copy.$(REPO).max.amd.js
	node node_modules/uglify-js/bin/uglifyjs --verbose --support-ie8 build/no-copy.$(REPO).max.amd.js -m -c >build/no-copy.$(REPO).amd.js
	cat template/license.before LICENSE.txt template/license.after build/no-copy.$(REPO).max.amd.js >build/$(REPO).max.amd.js
	cat template/copyright build/no-copy.$(REPO).amd.js >build/$(REPO).amd.js
	rm build/no-copy.$(REPO).max.amd.js
	rm build/no-copy.$(REPO).amd.js

size:
	wc -c build/$(REPO).max.js
	wc -c build/$(REPO).js
	gzip -c build/$(REPO).js | wc -c

# hint built file
hint:
	node node_modules/jshint/bin/jshint build/$(REPO).max.js

# clean/remove build folder
clean:
	rm -rf build

# tests, as usual and of course
test:
	npm test

# launch tiny-cdn (ctrl+click to open the page)
web:
	./node_modules/.bin/tiny-cdn run

# markdown the readme and view it
preview:
	node_modules/markdown/bin/md2html.js README.md >README.md.htm
	cat template/md.before README.md.htm template/md.after >README.md.html
	echo 'open README.md.html'

pages:
	make var
	mkdir -p ~/tmp
	mkdir -p ~/tmp/$(REPO)
	cp -rf src ~/tmp/$(REPO)
	cp -rf build/* ~/tmp/$(REPO)/src/
	cp -rf test ~/tmp/$(REPO)
	cp index.html ~/tmp/$(REPO)
	git checkout gh-pages
	mkdir -p test
	rm -rf test
	cp -rf ~/tmp/$(REPO) test
	git add .
	git commit -m 'automatic test generator'
	git push
	git checkout master
	rm -r ~/tmp/$(REPO)

# modules used in this repo
dependencies:
	rm -rf node_modules
	mkdir node_modules
	npm install

=== debian/changelog ===
node-dom4 (2.1.6+dfsg2+~2.0.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Mon, 09 May 2022 12:48:05 +0200

node-dom4 (2.1.6+dfsg2+~2.0.2-1) unstable; urgency=medium

  [ Yadd ]
  * Add ctype=nodejs to component(s)
  * Fix autopkgtest
  * Download from source, not from npm registry
  * Really embed typescript declarations

  [ Roland Mas ]
  * Fix description.
  * Upload to unstable.
  * Exclude source-less files from orig tarball.

 -- Roland Mas <lolando@debian.org>  Wed, 20 Apr 2022 17:19:37 +0200

node-dom4 (2.1.6+~cs2.0.2-1) unstable; urgency=medium

  * Initial release.
  * Include types component.

 -- Roland Mas <lolando@debian.org>  Wed, 09 Mar 2022 14:50:44 +0100

=== debian/control ===
Source: node-dom4
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Homepage: https://github.com/WebReflection/dom4
Vcs-Git: https://salsa.debian.org/js-team/node-dom4.git
Vcs-Browser: https://salsa.debian.org/js-team/node-dom4
Rules-Requires-Root: no

Package: node-dom4
Architecture: all
Depends:
 ${misc:Depends}
 ,
Provides: ${nodejs:Provides}
Description: Polyfill for new DOM Level 4 entries
 This is a fully tested and covered polyfill for both new DOM Level 4
 parentNode entries:
 .
  Element#prepend()
  Element#append()
 .
 And for new DOM Level 4 childNode entries:
 .
  Element#before()
  Element#after()
  Element#replaceWith() ( Element#replace() has been recently deprecated )
  Element#remove()
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
ctype=nodejs,\
repacksuffix=+dfsg2,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-dom4-$1/ \
 https://github.com/WebReflection/dom4/tags .*/archive.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-dom4,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-dom4-$1/" \
 https://registry.npmjs.org/@types/dom4 https://registry.npmjs.org/@types/dom4/-/dom4-([\d\.]+)@ARCHIVE_EXT@ group
